<script setup>
    import { 
        dashboardOne, 
        dashboardTwo, 
        splineAreaWidgetTwo, 
        splineAreaWidgetThree
    } from '@/data/dashboard.v1.js';
    import Breadcrumbs from '@/components/Breadcrumbs.vue'
    
</script>

<template>
    <div class="container mx-auto">
        <Breadcrumbs parentTitle="PROFILO" subParentTitle=" CACCIOLA AGOSTINO" />
        <div class="grid grid-cols-12 gap-5">
            <div
                class="
                    col-span-12
                    xl:col-span-3
                    lg:col-span-6
                    md:col-span-6
                    sm:col-span-6
                "
            >
                <BaseCard>
                    <div class="flex align-center">
                       <img src="/public/images/91.jpeg" alt="" style="whidth:100px; height:100px;" srcset="">
                        <div class="m-auto">
                            <p class="text-gray-400">clienti </p>
                            <p class="text-lg text-primary text-center">27</p>
                        </div>
                    </div>
                </BaseCard>
            </div>
            <div
                class="
                    col-span-12
                    xl:col-span-3
                    lg:col-span-6
                    md:col-span-6
                    sm:col-span-6
                "
            >
                <BaseCard>
                    <div class="flex align-center">
                        <!-- <i class="i-Financial text-6xl text-purple-200"></i> -->
                       <img src="/public/images/92.png" alt="" style="whidth:100px; height:100px;" srcset="">
                        <div class="m-auto">
                            <p class="text-gray-400">vendite</p>
                            <p class="text-xl text-primary">€4021</p>
                        </div>
                    </div>
                </BaseCard>
            </div>
            <div
                class="
                    col-span-12
                    xl:col-span-3
                    lg:col-span-6
                    md:col-span-6
                    sm:col-span-6
                "
            >
                <BaseCard>
                    <div class="flex align-center">
                                              <img src="/public/images/93.jpeg" alt="" style="whidth:100px; height:100px;" srcset="">

                        <div class="m-auto">
                            <p class="text-gray-400">ordini</p>
                            <p class="text-xl text-primary">€40</p>
                        </div>
                    </div>
                </BaseCard>
            </div>
            <div
                class="
                    col-span-12
                    xl:col-span-3
                    lg:col-span-6
                    md:col-span-6
                    sm:col-span-6
                "
            >
                <BaseCard>
                    <div class="flex align-center">
                                              <img src="/public/images/94.jpeg" alt="" style="whidth:100px; height:100px;" srcset="">

                        <div class="m-auto">
                            <p class="text-gray-400">profitto</p>
                            <p class="text-xl text-primary">€1200</p>
                        </div>
                    </div>
                </BaseCard>
            </div>
            <div class="col-span-12 xl:col-span-8 md:col-span-6">
                <BaseCard>
                    <h4 class="card-title mb-4">andamento vendite</h4>
                    <apexchart type="bar" height="350" :options="dashboardOne.chartOptions" :series="dashboardOne.series"></apexchart>
                </BaseCard>
            </div>
            <div class="col-span-12 xl:col-span-4 md:col-span-6">
                <BaseCard>
                    <h4 class="card-title mb-4">vendite per paese  </h4>
                     <apexchart type="pie" height="390" width="380" :options="dashboardTwo.chartOptions" :series="dashboardTwo.series"></apexchart>
                </BaseCard>
            </div>
            <div
                class="
                    col-span-12
                    xl:col-span-3
                    lg:col-span-3
                    md:col-span-6
                    sm:col-span-6
                "
            >
                <BaseCard noPadding class="overflow-hidden">
                    <div class="p-5">
                        <div class="text-gray-500">Ultime vendite del mese </div>
                        <p class="  text-primary text-2xl m-0">€40250</p>

                    </div>
                    <div id="basicArea-chart">
                        <apexchart type=area  height=270 :options="splineAreaWidgetTwo.chartOptions" :series="splineAreaWidgetTwo.series" />
                    </div>
                </BaseCard>
            </div>
          
            <div
                class="
                    col-span-12
                    xl:col-span-3
                    lg:col-span-3
                    md:col-span-6
                    sm:col-span-6
                "
            >
                <BaseCard noPadding class="overflow-hidden">
                    <div class="p-5">
                        <div class="text-gray-500">ultimi gudagni</div>
                        <p class="  text-warning text-2xl m-0">€2564</p>

                    </div>
                    <div id="basicArea-chart">
                        <apexchart type=area  height=270 :options="splineAreaWidgetThree.chartOptions" :series="splineAreaWidgetThree.series" />
                    </div>
                </BaseCard>
            </div>
          
            <div class="col-span-12 xl:col-span-6 lg:col-span-6">
                <BaseCard>
                    <div class="card-title mb-4">Top prodotti venduti </div>

                    <div class="flex flex-col items-center mb-4 md:flex-row">
                        <img
                            class="avatar-md mr-2 rounded w-20 h-20"
                            src="/images/products/iphone-2.jpg"
                            alt=""
                        />
                        <div class="flex-grow text-center md:text-left">
                            <h5>
                                <router-link
                                    to=""
                                    class="text-gray-800 hover:text-primary"
                                >
                                   IPHONE X
                                </router-link>
                            </h5>
                            <p class="text-gray-400 text-xs mb-3 md:mb-0">
                                  Enim voluptatem assumenda nisi omnis voluptas temporibus, hic sint quibusdam fugit nesciunt!
                            </p>
                            <div
                                class="
                                    flex
                                    justify-center
                                    mb-4
                                    md:justify-start md:mb-0
                                "
                            >
                                <p class="text-primary text-sm mr-2">$450</p>
                                <p
                                    class="
                                        text-gray-400
                                        line-through
                                        text-sm
                                        mr-2
                                    "
                                >
                                    $500
                                </p>
                            </div>
                        </div>
                        <BaseBtn
                            sm
                            class="
                                border border-primary
                                text-primary
                                rounded-full
                                hover:bg-primary hover:text-white
                            "
                            >dettaglio</BaseBtn
                        >
                    </div>
                    <div class="flex flex-col items-center mb-4 md:flex-row">
                        <img
                            class="avatar-md mr-2 rounded w-20 h-20"
                            src="/images/products/headphone-4.jpg"
                            alt=""
                        />
                        <div class="flex-grow text-center md:text-left">
                            <h5>
                                <router-link
                                    to=""
                                    class="text-gray-800 hover:text-primary"
                                >
                                   CUFFIE BOSE RICONDIZIONATE
                                </router-link>
                            </h5>
                            <p class="text-gray-400 text-xs mb-3 md:mb-0">
                                                                 Enim voluptatem assumenda nisi omnis voluptas temporibus, hic sint quibusdam fugit nesciunt!

                            </p>
                            <div
                                class="
                                    flex
                                    justify-center
                                    mb-4
                                    md:justify-start md:mb-0
                                "
                            >
                                <p class="text-primary text-sm mr-2">$450</p>
                                <p
                                    class="
                                        text-gray-400
                                        line-through
                                        text-sm
                                        mr-2
                                    "
                                >
                                    $500
                                </p>
                            </div>
                        </div>
                        <BaseBtn
                            sm
                            class="
                                border border-primary
                                text-primary
                                rounded-full
                                hover:bg-primary hover:text-white
                            "
                            >dettaglio</BaseBtn
                        >
                    </div>
                    <div class="flex flex-col items-center mb-4 md:flex-row">
                        <img
                            class="avatar-md mr-2 rounded w-20 h-20"
                            src="/images/products/headphone-4.jpg"
                            alt=""
                        />
                        <div class="flex-grow text-center md:text-left">
                            <h5>
                                <router-link
                                    to=""
                                    class="text-gray-800 hover:text-primary"
                                >
                                   CUFFIE SONY 
                                </router-link>
                            </h5>
                            <p class="text-gray-400 text-xs mb-3 md:mb-0">
                                                                  Enim voluptatem assumenda nisi omnis voluptas temporibus, hic sint quibusdam fugit nesciunt!

                            </p>
                            <div
                                class="
                                    flex
                                    justify-center
                                    mb-4
                                    md:justify-start md:mb-0
                                "
                            >
                                <p class="text-primary text-sm mr-2">$450</p>
                                <p
                                    class="
                                        text-gray-400
                                        line-through
                                        text-sm
                                        mr-2
                                    "
                                >
                                    $500
                                </p>
                            </div>
                        </div>
                        <BaseBtn
                            sm
                            class="
                                border border-primary
                                text-primary
                                rounded-full
                                hover:bg-primary hover:text-white
                            "
                            >dettaglio</BaseBtn
                        >
                    </div>
                    
                </BaseCard>
            </div>
           
          
          
            <div class="col-span-12">
                <BaseCard>
                    <template v-slot:cardHeader>
                        <div class="card-header">
                            <div class="card-title py-3">Ordini recenti </div>
                        </div>     
                    </template>
                    <div
                        class="
                            block
                            w-full
                            overflow-x-auto
                            whitespace-nowrap
                            borderless
                            hover
                        "
                    >
                        <div
                            class="
                                dataTable-wrapper dataTable-loading
                                no-footer
                                fixed-columns
                            "
                        >
                            
                            <div
                                class="
                                    dataTable-container
                                    block
                                    w-full
                                    overflow-x-auto
                                    whitespace-nowrap
                                    borderless
                                    hover
                                "
                            >
                                <table
                                    class="
                                        table-3
                                        dataTable-table
                                        max-w-full
                                        w-full
                                    "
                                >
                                    <thead>
                                        <tr class="">
                                            <th
                                                class="
                                                    text-left
                                                    border-b
                                                    pb-3
                                                    mb-3
                                                     text-gray-500
                                                    font-semibold
                                                "
                                            >
                                                Id ordine
                                            </th>
                                            <th
                                                class="
                                                    text-left
                                                    border-b
                                                    pb-3
                                                    mb-3
                                                     text-gray-500
                                                    font-semibold
                                                "
                                            >
                                                venditore
                                            </th>
                                            <th
                                                class="
                                                    text-left
                                                    border-b
                                                    pb-3
                                                    mb-3
                                                     text-gray-500
                                                    font-semibold
                                                "
                                            >
                                                prodotti
                                            </th>
                                            <th
                                                class="
                                                    text-left
                                                    border-b
                                                    pb-3
                                                    mb-3
                                                    mr-5
                                                    ml-5
                                                     text-gray-500
                                                    font-semibold
                                                "
                                            >
                                                consegna
                                            </th>
                                            <th
                                                class="
                                                    text-left
                                                    border-b
                                                    pb-3
                                                    mb-3
                                                     text-gray-500
                                                    font-semibold
                                                "
                                            >
                                              sped-cost %
                                            </th>
                                            <th
                                                class="
                                                    text-left
                                                    border-b
                                                    pb-3
                                                    mb-3
                                                     text-gray-500
                                                    font-semibold
                                                "
                                            >
                                                Data
                                            </th>
                                            <th
                                                class="
                                                    text-left
                                                    border-b
                                                    pb-3
                                                    mb-3
                                                     text-gray-500
                                                    font-semibold
                                                "
                                            >
                                                Azione
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr
                                            class="
                                                hover:bg-gray-100
                                                cursor-pointer
                                                
                                            "
                                            v-for="(n, index) in 8"
                                            :key="index"
                                        >
                                            <td class="text-xs py-5 px-4">{{index+1}}</td>
                                            
                                            <td class="text-xs ">Jhon {{index+1}}</td>
                                            <td class="py-5">
                                                <div class="flex">
                                                    <img
                                                        class="
                                                            w-9
                                                            h-9
                                                            rounded-full
                                                            mr-2
                                                        "
                                                        src="/images/products/speaker-1.jpg"
                                                        alt=""
                                                    />
                                                    <img
                                                        class="
                                                            w-9
                                                            h-9
                                                            rounded-full
                                                            mr-2
                                                        "
                                                        src="/images/products/headphone-1.jpg"
                                                        alt=""
                                                    />
                                                </div>
                                            </td>
                                            <td class="py-5">
                                                <span
                                                    class="
                                                        px-3
                                                        py-1
                                                        rounded-full
                                                        text-primary
                                                        border border-primary
                                                        mr-3
                                                        ml-7
                                                        text-xs
                                                    "
                                                    >ok</span
                                                >
                                            </td>
                                            <td class="py-5"> {{3.34 * index+1}}%</td>
                                            <td class="py-5">12-02-20</td>
                                            <td class="py-5">
                                               
                                                <BaseBtn rounded class="border border-primary text-primary hover:bg-primary hover:text-white">
                                                    View
                                                </BaseBtn>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="dataTable-bottom">
                                <div class="dataTable-info">
                                   1-8 di 50 
                                </div>
                                <nav class="dataTable-pagination">
                                    <ul class="dataTable-pagination-list"></ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </BaseCard>
            </div>
        </div>
    </div>
</template>
